<?php
/**
 * Эта модель предназначена для работы с категориями.
 *
 * @version
 * @link http://www.simplecoding.org
 * @author Стаценко Владимир <vova_33@gala.net>
 */
class MCategory extends Model {

	function MCategory() {
		parent::Model();
	}

	/**
	 * Ищет все существующие категории
	 * 
	 * @return массив со списком категорий, FALSE - если категории не найдены
	 */
	function getAllCategories() {
		$gGetAllCats = 'SELECT * FROM categories';
		$res = $this->db->query($gGetAllCats);
		if ($res->num_rows() <= 0) {
			return false;
		}
		return $res->result_array();
	}
	
	/**
	 * Создает новую категорию
	 * 
	 * @param $data - данные категории
	 * @return TRUE если категория создана, FALSE в случае неудачи
	 */
	function addCategory($data) {
		return $this->db->insert('categories', $data);
	}
}
?>